Subject: Re: [PATCH net-next 1/2] net: sctp: minor: make jsctp_sf_eat_sack static

From: Daniel Borkmann <[email-masked]>
Date: Wed, 13 Feb 2013 20:14:05 +0100

On 02/13/2013 08:06 PM, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Wed, 13 Feb 2013 14:04:36 -0500 (EST)
>
>> From: Daniel Borkmann <[email-masked]>
>> Date: Wed, 13 Feb 2013 12:03:49 +0100
>>
>>> The function jsctp_sf_eat_sack can be made static, no need to extend
>>> its visibility.
>>>
>>> Signed-off-by: Daniel Borkmann <[email-masked]>
>>
>> It's exported for the jprobe lookup by ->symbol_name
>>
>> Did you test this?
>
> Never mind, I mis-read this, the symbol name is for the routine being
> shadowed by the jprobe, which is exported.
>
> These two patches look fine and I'll apply them, thanks Daniel.

Thanks Dave, yes, I did a test doing cat on /proc/net/sctpprobe
while running a simple SCTP client / server.